#ifndef __B2_GEAR_JOINT_H__
#define __B2_GEAR_JOINT_H__

/// Get anchorA
void b2GearJoint_GetAnchorA(b2GearJoint *joint, VECTOR *outAnchor);

/// Get anchorB
void b2GearJoint_GetAnchorB(b2GearJoint *joint, VECTOR *outAnchor);

/// Get reaction force
void b2GearJoint_GetReactionForce(b2GearJoint *joint, var inv_dt, VECTOR *outReactionForce);

/// Get reaction torque
var b2GearJoint_GetReactionTorque(b2GearJoint *joint, var inv_dt);

/// Set the gear ratio
void b2GearJoint_SetRatio(b2GearJoint *joint, var ratio);

/// Get the gear ratio
var b2GearJoint_GetRatio(b2GearJoint *joint);

#endif // __B2_GEAR_JOINT_H__
