#ifndef __B2_BODY_DEF_H__
#define __B2_BODY_DEF_H__

//////////////////////////////
// Create bodyDef
//////////////////////////////
b2BodyDef *b2BodyDef_Create();

//////////////////////////////
// Destroy BodyDef
//////////////////////////////
void b2BodyDef_Destroy(b2BodyDef *bodyDef);

//////////////////////////////
// Set BodyDef type
//////////////////////////////
void b2BodyDef_SetType(b2BodyDef *def, var type);

//////////////////////////////
// Get BodyDef type
//////////////////////////////
var b2BodyDef_GetType(b2BodyDef *def);

//////////////////////////////
// Set BodyDef position
//////////////////////////////
void b2BodyDef_SetPosition(b2BodyDef *def, VECTOR *position);

//////////////////////////////
// Get BodyDef position
//////////////////////////////
void b2BodyDef_GetPosition(b2BodyDef *def, VECTOR *outPosition);

//////////////////////////////
// Set BodyDef angle
//////////////////////////////
void b2BodyDef_SetAngle(b2BodyDef *def, var angle);

//////////////////////////////
// Get BodyDef angle
//////////////////////////////
var b2BodyDef_GetAngle(b2BodyDef *def);

//////////////////////////////
// Set BodyDef linearVelocity
//////////////////////////////
void b2BodyDef_SetLinearVelocity(b2BodyDef *def, VECTOR *linearVelocity);

//////////////////////////////
// Get BodyDef linearVelocity
//////////////////////////////
void b2BodyDef_GetLinearVelocity(b2BodyDef *def, VECTOR *outVelocity);

//////////////////////////////
// Set BodyDef linearVelocity
//////////////////////////////
void b2BodyDef_SetLinearVelocity(b2BodyDef *def, VECTOR *linearVelocity);

//////////////////////////////
// Get BodyDef linearVelocity
//////////////////////////////
void b2BodyDef_GetLinearVelocity(b2BodyDef *def, VECTOR *outVelocity);

//////////////////////////////
// Set BodyDef angularVelocity
//////////////////////////////
void b2BodyDef_SetAngularVelocity(b2BodyDef *def, var angularVelocity);

//////////////////////////////
// Get BodyDef angularVelocity
//////////////////////////////
var b2BodyDef_GetAngularVelocity(b2BodyDef *def);

//////////////////////////////
// Set BodyDef linearDamping
//////////////////////////////
void b2BodyDef_SetLinearDamping(b2BodyDef *def, var linearDamping);

//////////////////////////////
// Get BodyDef linearDamping
//////////////////////////////
var b2BodyDef_GetLinearDamping(b2BodyDef *def);

//////////////////////////////
// Set BodyDef angularDamping
//////////////////////////////
void b2BodyDef_SetAngularDamping(b2BodyDef *def, var angularDamping);

//////////////////////////////
// Get BodyDef angularDamping
//////////////////////////////
var b2BodyDef_GetAngularDamping(b2BodyDef *def);

//////////////////////////////
// Set BodyDef allowSleep
//////////////////////////////
void b2BodyDef_SetAllowSleep(b2BodyDef *def, var allowSleep);

//////////////////////////////
// Get BodyDef allowSleep
//////////////////////////////
var b2BodyDef_GetAllowSleep(b2BodyDef *def);

//////////////////////////////
// Set BodyDef awake
//////////////////////////////
void b2BodyDef_SetAwake(b2BodyDef *def, var awake);

//////////////////////////////
// Get BodyDef awake
//////////////////////////////
var b2BodyDef_GetAwake(b2BodyDef *def);

//////////////////////////////
// Set BodyDef fixedRotation
//////////////////////////////
void b2BodyDef_SetFixedRotation(b2BodyDef *def, var fixedRotation);

//////////////////////////////
// Get BodyDef fixedRotation
//////////////////////////////
var b2BodyDef_GetFixedRotation(b2BodyDef *def);

//////////////////////////////
// Set BodyDef bullet
//////////////////////////////
void b2BodyDef_SetBullet(b2BodyDef *def, var bullet);

//////////////////////////////
// Get BodyDef bullet
//////////////////////////////
var b2BodyDef_GetBullet(b2BodyDef *def);


//////////////////////////////
// Set BodyDef active
//////////////////////////////
void b2BodyDef_SetActive(b2BodyDef *def, var active);

//////////////////////////////
// Get BodyDef active
//////////////////////////////
var b2BodyDef_GetActive(b2BodyDef *def);

//////////////////////////////
// Set BodyDef userData
//////////////////////////////
void b2BodyDef_SetUserData(b2BodyDef *def, void *userData);

//////////////////////////////
// Get BodyDef userData
//////////////////////////////
void* b2BodyDef_GetUserData(b2BodyDef *def);


#endif // __B2_BODY_DEF_H__
