#include <windows.h>

// Common
#include "Common\\b2Settings.h"
#include "Common\\b2Types.h"
#include "Common\\b2StackAllocator.h"
#include "Common\\b2BlockAllocator.h"
#include "Common\\b2Transform.h"
#include "Common\\b2Sweep.h"

// Collision
#include "Collision\\b2AABB.h"
#include "Collision\\b2DistanceProxy.h"
#include "Collision\\b2TOIInput.h"
#include "Collision\\b2TimeOfImpact.h"
#include "Collision\\b2DistanceInput.h"
#include "Collision\\b2Distance.h"
#include "Collision\\b2ManifoldPoint.h"
#include "Collision\\b2Manifold.h"
#include "Collision\\b2WorldManifold.h"
#include "Collision\\b2ClipVertex.h"
#include "Collision\\b2Collision.h"

// Collision Shapes
#include "Collision\\Shapes\\b2Shape.h"
#include "Collision\\Shapes\\b2CircleShape.h"
#include "Collision\\Shapes\\b2PolygonShape.h"

// Dynamics
#include "Dynamics\\b2Filter.h"
#include "Dynamics\\b2BodyDef.h"
#include "Dynamics\\b2Body.h"
#include "Dynamics\\b2FixtureDef.h"
#include "Dynamics\\b2Fixture.h"
#include "Dynamics\\b2World.h"

// Dynamics Callbacks
#include "Dynamics\\Callbacks\\b2DestructionListener.h"
#include "Dynamics\\Callbacks\\b2ContactFilter.h"
#include "Dynamics\\Callbacks\\b2ContactListener.h"
#include "Dynamics\\Callbacks\\b2QueryCallback.h"
#include "Dynamics\\Callbacks\\b2RayCastCallback.h"
#include "Dynamics\\Callbacks\\b2DebugDraw.h"
#include "Dynamics\\Callbacks\\ackDebugDraw.h"

// Dynamics Joints
#include "Dynamics\\Joints\\b2DistanceJoint.h
#include "Dynamics\\Joints\\b2DistanceJointDef.h
#include "Dynamics\\Joints\\b2FrictionJoint.h
#include "Dynamics\\Joints\\b2FrictionJointDef.h
#include "Dynamics\\Joints\\b2GearJoint.h
#include "Dynamics\\Joints\\b2GearJointDef.h
#include "Dynamics\\Joints\\b2Joint.h
#include "Dynamics\\Joints\\b2JointDef.h
#include "Dynamics\\Joints\\b2LineJoint.h
#include "Dynamics\\Joints\\b2LineJointDef.h
#include "Dynamics\\Joints\\b2MouseJoint.h
#include "Dynamics\\Joints\\b2MouseJointDef.h
#include "Dynamics\\Joints\\b2PrismaticJoint.h
#include "Dynamics\\Joints\\b2PrismaticJointDef.h
#include "Dynamics\\Joints\\b2PulleyJoint.h
#include "Dynamics\\Joints\\b2PulleyJointDef.h
#include "Dynamics\\Joints\\b2RevoluteJoint.h
#include "Dynamics\\Joints\\b2RevoluteJointDef.h
#include "Dynamics\\Joints\\b2WeldJoint.h
#include "Dynamics\\Joints\\b2WeldJointDef.h

