#ifndef __TEST_TOI_H__
#define __TEST_TOI_H__

/// \brief default variables for toi test
DEF_VARIABLES toi_def_vars;

/// \brief Init toi test
void toi_init()
{
	deftest_init(&toi_def_vars);
	DEF_VARIABLES *vars = &toi_def_vars;
	
	// Set title
	str_cpy(str_test_name, "Time of Impact");
}

/// \brief Update current test suite
void toi_update()
{
	deftest_update(&toi_def_vars);
}

/// \brief Clean current test suite
void toi_exit()
{
	deftest_exit(&toi_def_vars);
}

#endif // __TEST_TOI_H__
