#ifndef __B2_BLOCK_ALLOCATOR_H__
#define __B2_BLOCK_ALLOCATOR_H__

/// Create Allocator
b2BlockAllocator *b2BlockAllocator_Create();

/// Destroy Allocator
void b2BlockAllocator_Destroy(b2BlockAllocator *allocator);

/// Allocate Memory
void* b2BlockAllocator_Allocate(b2BlockAllocator *allocator, int size);

/// Free Memory
void b2BlockAllocator_Free(b2BlockAllocator *allocator, void* p, int size);

/// Clear
void b2BlockAllocator_Clear(b2BlockAllocator *allocator);

#endif // __B2_BLOCK_ALLOCATOR_H__
