#ifndef __B2_STACK_ALLOCATOR_H__
#define __B2_STACK_ALLOCATOR_H__

/// Create Allocator
b2StackAllocator *b2StackAllocator_Create();

/// Destroy Allocator
void b2StackAllocator_Destroy(b2StackAllocator *allocator);

/// Allocate Memory
void* b2StackAllocator_Allocate(b2StackAllocator *allocator, int size);

/// Free Memory
void b2StackAllocator_Free(b2StackAllocator *allocator, void* p);

/// Get Max allocator
int b2StackAllocator_GetMaxAllocation(b2StackAllocator *allocator);

#endif // __B2_STACK_ALLOCATOR_H__
