#ifndef __B2_WELD_JOINT_H__
#define __B2_WELD_JOINT_H__

/// Get local anchor A
/// The local anchor point relative to body1's origin.
void b2WeldJoint_GetLocalAnchorA(b2WeldJoint *joint, VECTOR *outLocalAnchor);

/// Get local anchor B
/// The local anchor point relative to body2's origin.
void b2WeldJoint_GetLocalAnchorB(b2WeldJoint *joint, VECTOR *outLocalAnchor);

/// Get ReactionForce
void b2WeldJoint_GetReactionForce(b2WeldJoint *joint, var inv_dt, VECTOR *outReactionForce);

/// Get ReactionTorque
var b2WeldJoint_GetReactionTorque(b2WeldJoint *joint, var inv_dt);

#endif // __B2_WELD_JOINT_H__
