#ifndef __B2_FIXTURE_DEF_H__
#define __B2_FIXTURE_DEF_H__

//////////////////////////////
// Create fixtureDef
//////////////////////////////
b2FixtureDef* b2FixtureDef_Create();

//////////////////////////////
// Destroy fixtureDef
//////////////////////////////
void b2FixtureDef_Destroy(b2FixtureDef *def);

//////////////////////////////
// Set FixtureDef shape
//////////////////////////////
void b2FixtureDef_SetShape(b2FixtureDef *def, b2Shape *shape);

//////////////////////////////
// Get FixtureDef shape
//////////////////////////////
const b2Shape* b2FixtureDef_GetShape(b2FixtureDef *def);

//////////////////////////////
// Set FixtureDef userData
//////////////////////////////
void b2FixtureDef_SetUserData(b2FixtureDef *def, void *userData);

//////////////////////////////
// Get FixtureDef userData
//////////////////////////////
void* b2FixtureDef_GetUserData(b2FixtureDef *def);

//////////////////////////////
// Set FixtureDef friction
//////////////////////////////
float b2FixtureDef_SetFriction(b2FixtureDef *def, var friction);

//////////////////////////////
// Get FixtureDef friction
//////////////////////////////
var b2FixtureDef_GetFriction(b2FixtureDef *def);

//////////////////////////////
// Set FixtureDef restitution
//////////////////////////////
float b2FixtureDef_SetRestitution(b2FixtureDef *def, var restitution);

//////////////////////////////
// Get FixtureDef restitution
//////////////////////////////
var b2FixtureDef_GetRestitution(b2FixtureDef *def);

//////////////////////////////
// Set FixtureDef density
//////////////////////////////
float b2FixtureDef_SetDensity(b2FixtureDef *def, var density);

//////////////////////////////
// Get FixtureDef density
//////////////////////////////
var b2FixtureDef_GetDensity(b2FixtureDef *def);

//////////////////////////////
// Set FixtureDef isSensor
//////////////////////////////
void b2FixtureDef_SetIsSensor(b2FixtureDef *def, var isSensor);

//////////////////////////////
// Get FixtureDef isSensor
//////////////////////////////
var b2FixtureDef_GetIsSensor(b2FixtureDef *def);

//////////////////////////////
// Set FixtureDef filter
//////////////////////////////
void b2FixtureDef_SetFilter(b2FixtureDef *def, b2Filter *filter);

//////////////////////////////
// Get FixtureDef filter
//////////////////////////////
b2Filter* b2FixtureDef_GetFilter(b2FixtureDef *def);

#endif // __B2_FIXTURE_DEF_H__
